com.amazonaws.codegen.model.service

## Enum Location

- java.lang.Object
- - java.lang.Enum<Location>
  - - com.amazonaws.codegen.model.service.Location

All Implemented Interfaces:
  Serializable, Comparable<Location>

    public enum Location
    extends Enum<Location>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HEADER`
`HEADERS`
`QUERY_STRING`
`STATUS_CODE`
`URI`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Location` `forValue(String location)`
`String` `toString()`
`static Location` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Location[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### URI

    public static final Location URI

#### HEADER

    public static final Location HEADER

#### HEADERS

    public static final Location HEADERS

#### STATUS_CODE

    public static final Location STATUS_CODE

#### QUERY_STRING

    public static final Location QUERY_STRING

### Method Detail

#### values

    public static Location[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Location c : Location.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Location valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forValue

    public static Location forValue(String location)

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Location>`